import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Approve } from "../../domain/entities";
import { ApproveMongoModel, ApproveRawModel } from "../dtos/approve.dto";
export declare class ApproveMongoMapper extends MongoMapper<Approve, ApproveMongoModel> {
    constructor();
    toEntity(mongoModel: ApproveMongoModel): Approve;
}
export declare class ApproveRawMapper extends MapperImpl<Approve, ApproveRawModel> {
    fromEntity(entity: Approve): ApproveRawModel;
    toEntity(rawModel: ApproveRawModel): Approve;
}
