import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Disapprove } from "../../domain/entities";
import { DisapproveMongoModel, DisapproveRawModel } from "../dtos/disapprove.dto";
export declare class DisapproveMongoMapper extends MongoMapper<Disapprove, DisapproveMongoModel> {
    constructor();
    toEntity(mongoModel: DisapproveMongoModel): Disapprove;
}
export declare class DisapproveRawMapper extends MapperImpl<Disapprove, DisapproveRawModel> {
    fromEntity(entity: Disapprove): DisapproveRawModel;
    toEntity(rawModel: DisapproveRawModel): Disapprove;
}
