import { MongoDB } from '@alien-worlds/aw-storage-mongodb';
import { ExtendedAssetMongoModel, ExtendedAssetRawModel } from '@alien-worlds/aw-antelope';
export type EscrowsMongoModel = {
    _id?: MongoDB.ObjectId;
    key?: string;
    sender?: string;
    receiver?: string;
    arb?: string;
    receiver_pay?: ExtendedAssetMongoModel;
    arbitrator_pay?: ExtendedAssetMongoModel;
    memo?: string;
    expires?: Date;
    disputed?: boolean;
    [key: string]: unknown;
};
export type EscrowsRawModel = {
    key?: string;
    sender?: string;
    receiver?: string;
    arb?: string;
    receiver_pay?: ExtendedAssetRawModel;
    arbitrator_pay?: ExtendedAssetRawModel;
    memo?: string;
    expires?: Date;
    disputed?: boolean;
    [key: string]: unknown;
};
