import { Entity, UnknownObject } from "@alien-worlds/aw-core";
import { ExtendedAsset } from '@alien-worlds/aw-antelope';
export declare class Escrows implements Entity {
    key: string;
    sender: string;
    receiver: string;
    arb: string;
    receiverPay: ExtendedAsset;
    arbitratorPay: ExtendedAsset;
    memo: string;
    expires: Date;
    disputed: boolean;
    id?: string;
    constructor(key: string, sender: string, receiver: string, arb: string, receiverPay: ExtendedAsset, arbitratorPay: ExtendedAsset, memo: string, expires: Date, disputed: boolean, id?: string);
    rest?: UnknownObject;
    toJSON(): UnknownObject;
    static create(key: string, sender: string, receiver: string, arb: string, receiverPay: ExtendedAsset, arbitratorPay: ExtendedAsset, memo: string, expires: Date, disputed: boolean, id?: string, rest?: UnknownObject): Escrows;
    static getDefault(): Escrows;
}
