"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Escrows = void 0;
const aw_antelope_1 = require("@alien-worlds/aw-antelope");
class Escrows {
    key;
    sender;
    receiver;
    arb;
    receiverPay;
    arbitratorPay;
    memo;
    expires;
    disputed;
    id;
    constructor(key, sender, receiver, arb, receiverPay, arbitratorPay, memo, expires, disputed, id) {
        this.key = key;
        this.sender = sender;
        this.receiver = receiver;
        this.arb = arb;
        this.receiverPay = receiverPay;
        this.arbitratorPay = arbitratorPay;
        this.memo = memo;
        this.expires = expires;
        this.disputed = disputed;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            key: this.key,
            sender: this.sender,
            receiver: this.receiver,
            arb: this.arb,
            receiverPay: this.receiverPay,
            arbitratorPay: this.arbitratorPay,
            memo: this.memo,
            expires: this.expires,
            disputed: this.disputed,
        };
    }
    static create(key, sender, receiver, arb, receiverPay, arbitratorPay, memo, expires, disputed, id, rest) {
        const entity = new Escrows(key, sender, receiver, arb, receiverPay, arbitratorPay, memo, expires, disputed, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new Escrows('', '', '', '', aw_antelope_1.ExtendedAsset.getDefault(), aw_antelope_1.ExtendedAsset.getDefault(), '', new Date(0), false);
    }
}
exports.Escrows = Escrows;
