import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Clean } from "../../domain/entities";
import { CleanMongoModel, CleanRawModel } from "../dtos/clean.dto";
export declare class CleanMongoMapper extends MongoMapper<Clean, CleanMongoModel> {
    constructor();
    toEntity(mongoModel: CleanMongoModel): Clean;
}
export declare class CleanRawMapper extends MapperImpl<Clean, CleanRawModel> {
    fromEntity(entity: Clean): CleanRawModel;
    toEntity(rawModel: CleanRawModel): Clean;
}
