import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Dispute } from "../../domain/entities";
import { DisputeMongoModel, DisputeRawModel } from "../dtos/dispute.dto";
export declare class DisputeMongoMapper extends MongoMapper<Dispute, DisputeMongoModel> {
    constructor();
    toEntity(mongoModel: DisputeMongoModel): Dispute;
}
export declare class DisputeRawMapper extends MapperImpl<Dispute, DisputeRawModel> {
    fromEntity(entity: Dispute): DisputeRawModel;
    toEntity(rawModel: DisputeRawModel): Dispute;
}
