import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Refund } from "../../domain/entities";
import { RefundMongoModel, RefundRawModel } from "../dtos/refund.dto";
export declare class RefundMongoMapper extends MongoMapper<Refund, RefundMongoModel> {
    constructor();
    toEntity(mongoModel: RefundMongoModel): Refund;
}
export declare class RefundRawMapper extends MapperImpl<Refund, RefundRawModel> {
    fromEntity(entity: Refund): RefundRawModel;
    toEntity(rawModel: RefundRawModel): Refund;
}
