import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Transfer } from "../../domain/entities";
import { TransferMongoModel, TransferRawModel } from "../dtos/transfer.dto";
export declare class TransferMongoMapper extends MongoMapper<Transfer, TransferMongoModel> {
    constructor();
    toEntity(mongoModel: TransferMongoModel): Transfer;
}
export declare class TransferRawMapper extends MapperImpl<Transfer, TransferRawModel> {
    fromEntity(entity: Transfer): TransferRawModel;
    toEntity(rawModel: TransferRawModel): Transfer;
}
