"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Disapprove = void 0;
class Disapprove {
    key;
    disapprover;
    dacId;
    id;
    constructor(key, disapprover, dacId, id) {
        this.key = key;
        this.disapprover = disapprover;
        this.dacId = dacId;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            key: this.key,
            disapprover: this.disapprover,
            dacId: this.dacId,
        };
    }
    static create(key, disapprover, dacId, id, rest) {
        const entity = new Disapprove(key, disapprover, dacId, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new Disapprove('', '', '');
    }
}
exports.Disapprove = Disapprove;
