"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Dispute = void 0;
class Dispute {
    key;
    dacId;
    id;
    constructor(key, dacId, id) {
        this.key = key;
        this.dacId = dacId;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            key: this.key,
            dacId: this.dacId,
        };
    }
    static create(key, dacId, id, rest) {
        const entity = new Dispute(key, dacId, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new Dispute('', '');
    }
}
exports.Dispute = Dispute;
