import { Entity, UnknownObject } from "@alien-worlds/aw-core";
import { Asset } from '@alien-worlds/aw-antelope';
export declare class Transfer implements Entity {
    from: string;
    to: string;
    quantity: Asset;
    memo: string;
    id?: string;
    constructor(from: string, to: string, quantity: Asset, memo: string, id?: string);
    rest?: UnknownObject;
    toJSON(): UnknownObject;
    static create(from: string, to: string, quantity: Asset, memo: string, id?: string, rest?: UnknownObject): Transfer;
    static getDefault(): Transfer;
}
