import { Container } from '@alien-worlds/aw-core';
import { MongoConfig, MongoSource } from '@alien-worlds/aw-storage-mongodb';
import { EscrwWorldsActionRepository } from './actions/domain/repositories';
import { EscrwWorldsContractService } from "./services/escrw-worlds-contract.service";
import { EscrwWorldsDeltaRepository } from './deltas/domain/repositories';
import { AntelopeRpcSourceImpl } from '@alien-worlds/aw-antelope';
export declare const setupEscrwWorldsActionRepository: (mongo: MongoSource | MongoConfig, container?: Container) => Promise<EscrwWorldsActionRepository>;
export declare const setupEscrwWorldsDeltaRepository: (mongo: MongoSource | MongoConfig, container?: Container) => Promise<EscrwWorldsDeltaRepository>;
export declare const setupEscrwWorldsContractService: (antelopeRpcSourceImpl: AntelopeRpcSourceImpl, serviceUrl: string, container?: Container) => EscrwWorldsContractService;
